readBGENToMatrixByRange {seqminer} | R Documentation

## Read a gene from BGEN file and return a genotype matrix

### Description

Read a gene from BGEN file and return a genotype matrix

### Usage

    readBGENToMatrixByRange(fileName, range)

### Arguments

`fileName` | character, represents an input BGEN file (Bgzipped, with Tabix index)
`range` | character, a text indicating which range in the BGEN file to extract. e.g. 1:100-200

### Value

genotype matrix

### See Also

http://zhanxw.com/seqminer/ for online manual and examples

### Examples

    fileName = system.file("bgen/all.anno.filtered.extract.bgen", package = "seqminer")
    cfh <- readBGENToMatrixByRange(fileName, "1:196621007-196716634")

[Package seqminer version 7.1 Index]